## golang-github-evanw-esbuild 0.11.16

=== Makefile ===
ESBUILD_VERSION = $(shell cat version.txt)

# Strip debug info
GO_FLAGS += "-ldflags=-s -w"

# Avoid embedding the build path in the executable for more reproducible builds
GO_FLAGS += -trimpath

esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild

test:
	make -j6 test-common

# These tests are for development
test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests

# These tests are for release (the extra tests are not included in "test" because they are pretty slow)
test-all:
	make -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck

# This includes tests of some 3rd-party libraries, which can be very slow
test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild bench-readmin-esbuild test-esprima test-rollup

check-go-version:
	@go version | grep ' go1\.16\.3 ' || (echo 'Please install Go version 1.16.3' && false)

# This "ESBUILD_RACE" variable exists at the request of a user on GitHub who
# wants to run "make test" on an unsupported version of macOS (version 10.9).
# Go's race detector does not run correctly on that version. With this flag
# you can run "ESBUILD_RACE= make test" to disable the race detector.
ESBUILD_RACE ?= -race

test-go:
	go test $(ESBUILD_RACE) ./internal/...

vet-go:
	go vet ./cmd/... ./internal/... ./pkg/...

fmt-go:
	test -z "$(shell go fmt ./cmd/... ./internal/... ./pkg/... )"

no-filepath:
	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)

test-wasm-node: esbuild
	PATH="$(shell go env GOROOT)/misc/wasm:$$PATH" GOOS=js GOARCH=wasm go test ./internal/...
	node scripts/wasm-tests.js

test-wasm-browser: platform-wasm | scripts/browser/node_modules
	cd scripts/browser && node browser-tests.js

test-deno: esbuild platform-deno
	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno run --allow-run --allow-env --allow-net --allow-read --allow-write scripts/deno-tests.js

register-test: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/register-test.js

verify-source-map: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/verify-source-map.js

end-to-end-tests: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/end-to-end-tests.js

js-api-tests: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/js-api-tests.js

plugin-tests: cmd/esbuild/version.go | scripts/node_modules
	node scripts/plugin-tests.js

ts-type-tests: | scripts/node_modules
	node scripts/ts-type-tests.js

node-unref-tests: | scripts/node_modules
	node scripts/node-unref-tests.js

lib-typecheck: | lib/node_modules
	cd lib && node_modules/.bin/tsc -noEmit -p .

cmd/esbuild/version.go: version.txt
	# Update this atomically to avoid issues with this being overwritten during use
	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go.txt
	mv cmd/esbuild/version.go.txt cmd/esbuild/version.go

wasm-napi-exit0-darwin:
	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o npm/esbuild-wasm/exit0/darwin-x64-LE.node -
	ls -l npm/esbuild-wasm/exit0/darwin-x64-LE.node

wasm-napi-exit0-linux:
	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
		| gcc -x c -shared -o npm/esbuild-wasm/exit0/linux-x64-LE.node -
	strip npm/esbuild-wasm/exit0/linux-x64-LE.node
	ls -l npm/esbuild-wasm/exit0/linux-x64-LE.node

wasm-napi-exit0-windows:
	# This isn't meant to be run directly but is a rough overview of the instructions
	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
	echo 'setlocal' > main.bat
	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:npm/esbuild-wasm/exit0/win32-x64-LE.node' >> main.bat
	main.bat
	rm -f main.*

platform-all: cmd/esbuild/version.go test-all
	make -j8 \
		platform-windows \
		platform-windows-32 \
		platform-android-arm64 \
		platform-darwin \
		platform-darwin-arm64 \
		platform-freebsd \
		platform-freebsd-arm64 \
		platform-linux \
		platform-linux-32 \
		platform-linux-arm \
		platform-linux-arm64 \
		platform-linux-mips64le \
		platform-linux-ppc64le \
		platform-wasm \
		platform-neutral \
		platform-deno

platform-windows:
	cd npm/esbuild-windows-64 && npm version "$(ESBUILD_VERSION)" --allow-same-version
	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild

platform-windows-32:
	cd npm/esbuild-windows-32 && npm version "$(ESBUILD_VERSION)" --allow-same-version
	CGO_ENABLED=0 GOOS=windows GOARCH=386 go build $(GO_FLAGS) -o npm/esbuild-windows-32/esbuild.exe ./cmd/esbuild

platform-unixlike:
	test -n "$(GOOS)" && test -n "$(GOARCH)" && test -n "$(NPMDIR)"
	mkdir -p "$(NPMDIR)/bin"
	cd "$(NPMDIR)" && npm version "$(ESBUILD_VERSION)" --allow-same-version
	CGO_ENABLED=0 GOOS="$(GOOS)" GOARCH="$(GOARCH)" go build $(GO_FLAGS) -o "$(NPMDIR)/bin/esbuild" ./cmd/esbuild

platform-android-arm64:
	make GOOS=android GOARCH=arm64 NPMDIR=npm/esbuild-android-arm64 platform-unixlike

platform-darwin:
	make GOOS=darwin GOARCH=amd64 NPMDIR=npm/esbuild-darwin-64 platform-unixlike

platform-darwin-arm64:
	make GOOS=darwin GOARCH=arm64 NPMDIR=npm/esbuild-darwin-arm64 platform-unixlike

platform-freebsd:
	make GOOS=freebsd GOARCH=amd64 NPMDIR=npm/esbuild-freebsd-64 platform-unixlike

platform-freebsd-arm64:
	make GOOS=freebsd GOARCH=arm64 NPMDIR=npm/esbuild-freebsd-arm64 platform-unixlike

platform-linux:
	make GOOS=linux GOARCH=amd64 NPMDIR=npm/esbuild-linux-64 platform-unixlike

platform-linux-32:
	make GOOS=linux GOARCH=386 NPMDIR=npm/esbuild-linux-32 platform-unixlike

platform-linux-arm:
	make GOOS=linux GOARCH=arm NPMDIR=npm/esbuild-linux-arm platform-unixlike

platform-linux-arm64:
	make GOOS=linux GOARCH=arm64 NPMDIR=npm/esbuild-linux-arm64 platform-unixlike

platform-linux-mips64le:
	make GOOS=linux GOARCH=mips64le NPMDIR=npm/esbuild-linux-mips64le platform-unixlike

platform-linux-ppc64le:
	make GOOS=linux GOARCH=ppc64le NPMDIR=npm/esbuild-linux-ppc64le platform-unixlike

platform-wasm: esbuild | scripts/node_modules
	cd npm/esbuild-wasm && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/esbuild.js ./esbuild --wasm

platform-neutral: esbuild lib-typecheck | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/esbuild.js ./esbuild

platform-deno: esbuild lib-typecheck | scripts/node_modules
	node scripts/esbuild.js ./esbuild --deno

test-otp:
	test -n "$(OTP)" && echo publish --otp="$(OTP)"

publish-all: cmd/esbuild/version.go test-prepublish
	@test master = "`git rev-parse --abbrev-ref HEAD`" || (echo "Refusing to publish from non-master branch `git rev-parse --abbrev-ref HEAD`" && false)
	@echo "Checking for unpushed commits..." && git fetch
	@test "" = "`git cherry`" || (echo "Refusing to publish with unpushed commits" && false)
	rm -fr npm && git checkout npm
	@echo Enter one-time password:
	@read OTP && OTP="$$OTP" make -j4 \
		publish-windows \
		publish-windows-32 \
		publish-freebsd \
		publish-freebsd-arm64 \
		publish-darwin \
		publish-darwin-arm64
	@echo Enter one-time password:
	@read OTP && OTP="$$OTP" make -j4 \
		publish-android-arm64 \
		publish-linux \
		publish-linux-32 \
		publish-linux-arm \
		publish-linux-arm64 \
		publish-linux-mips64le \
		publish-linux-ppc64le
	# Do these last to avoid race conditions
	@echo Enter one-time password:
	@read OTP && OTP="$$OTP" make -j2 \
		publish-neutral \
		publish-deno \
		publish-wasm
	git commit -am "publish $(ESBUILD_VERSION) to npm"
	git tag "v$(ESBUILD_VERSION)"
	git push origin master "v$(ESBUILD_VERSION)"

publish-windows: platform-windows
	test -n "$(OTP)" && cd npm/esbuild-windows-64 && npm publish --otp="$(OTP)"

publish-windows-32: platform-windows-32
	test -n "$(OTP)" && cd npm/esbuild-windows-32 && npm publish --otp="$(OTP)"

publish-android-arm64: platform-android-arm64
	test -n "$(OTP)" && cd npm/esbuild-android-arm64 && npm publish --otp="$(OTP)"

publish-darwin: platform-darwin
	test -n "$(OTP)" && cd npm/esbuild-darwin-64 && npm publish --otp="$(OTP)"

publish-darwin-arm64: platform-darwin-arm64
	test -n "$(OTP)" && cd npm/esbuild-darwin-arm64 && npm publish --otp="$(OTP)"

publish-freebsd: platform-freebsd
	test -n "$(OTP)" && cd npm/esbuild-freebsd-64 && npm publish --otp="$(OTP)"

publish-freebsd-arm64: platform-freebsd-arm64
	test -n "$(OTP)" && cd npm/esbuild-freebsd-arm64 && npm publish --otp="$(OTP)"

publish-linux: platform-linux
	test -n "$(OTP)" && cd npm/esbuild-linux-64 && npm publish --otp="$(OTP)"

publish-linux-32: platform-linux-32
	test -n "$(OTP)" && cd npm/esbuild-linux-32 && npm publish --otp="$(OTP)"

publish-linux-arm: platform-linux-arm
	test -n "$(OTP)" && cd npm/esbuild-linux-arm && npm publish --otp="$(OTP)"

publish-linux-arm64: platform-linux-arm64
	test -n "$(OTP)" && cd npm/esbuild-linux-arm64 && npm publish --otp="$(OTP)"

publish-linux-mips64le: platform-linux-mips64le
	test -n "$(OTP)" && cd npm/esbuild-linux-mips64le && npm publish --otp="$(OTP)"

publish-linux-ppc64le: platform-linux-ppc64le
	test -n "$(OTP)" && cd npm/esbuild-linux-ppc64le && npm publish --otp="$(OTP)"

publish-wasm: platform-wasm
	test -n "$(OTP)" && cd npm/esbuild-wasm && npm publish --otp="$(OTP)"

publish-neutral: platform-neutral
	test -n "$(OTP)" && cd npm/esbuild && npm publish --otp="$(OTP)"

publish-deno:
	test -f deno/.git || (rm -fr deno && git clone git@github.com:esbuild/deno-esbuild.git deno)
	cd deno && git fetch && git reset --hard origin/main
	make platform-deno
	cd deno && git commit -am "publish $(ESBUILD_VERSION) to deno"
	cd deno && git tag "v$(ESBUILD_VERSION)"
	cd deno && git push origin main "v$(ESBUILD_VERSION)"

clean:
	rm -f esbuild
	rm -f npm/esbuild-windows-32/esbuild.exe
	rm -f npm/esbuild-windows-64/esbuild.exe
	rm -rf npm/esbuild-android-arm64/bin
	rm -rf npm/esbuild-darwin-64/bin
	rm -rf npm/esbuild-darwin-arm64/bin
	rm -rf npm/esbuild-freebsd-64/bin
	rm -rf npm/esbuild-freebsd-amd64/bin
	rm -rf npm/esbuild-linux-32/bin
	rm -rf npm/esbuild-linux-64/bin
	rm -rf npm/esbuild-linux-arm/bin
	rm -rf npm/esbuild-linux-arm64/bin
	rm -rf npm/esbuild-linux-mips64le/bin
	rm -rf npm/esbuild-linux-ppc64le/bin
	rm -f npm/esbuild-wasm/esbuild.wasm npm/esbuild-wasm/wasm_exec.js
	rm -rf npm/esbuild/lib
	rm -rf npm/esbuild-wasm/lib
	rm -rf require/*/bench/
	rm -rf require/*/demo/
	rm -rf require/*/node_modules/
	go clean -testcache ./internal/...

# This also cleans directories containing cached code from other projects
clean-all: clean
	rm -fr github demo bench

################################################################################
# These npm packages are used for benchmarks. Install them in subdirectories
# because we want to install the same package name at multiple versions

require/webpack/node_modules:
	cd require/webpack && npm ci

require/webpack5/node_modules:
	cd require/webpack5 && npm ci

require/rollup/node_modules:
	cd require/rollup && npm ci

require/parcel/node_modules:
	cd require/parcel && npm ci

	# Fix a bug where parcel doesn't know about one specific node builtin module
	mkdir -p require/parcel/node_modules/inspector

=== debian/changelog ===
golang-github-evanw-esbuild (0.11.16-1) unstable; urgency=medium

  * New upstream version 0.11.16
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Update esbuild(1) man page to 0.11.16
  * Remove scripts/fuzzer/escodegen.js entry from debian/copyright.
    Upstream "delete[d] the fuzzer that doesn't work anymore" in v0.11.11

 -- Anthony Fok <foka@debian.org>  Fri, 15 Oct 2021 05:34:50 -0600

golang-github-evanw-esbuild (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * debian/watch: Use api.github.com to fetch older versions
    such as v0.9.6 which is no longer listed on the first page
    of https://github.com/gohugoio/hugo/tags
  * Update esbuild(1) man page to 0.9.6

 -- Anthony Fok <foka@debian.org>  Sat, 14 Aug 2021 13:53:08 -0600

golang-github-evanw-esbuild (0.8.46-2) unstable; urgency=medium

  * Update esbuild(1) man page to 0.8.46

 -- Anthony Fok <foka@debian.org>  Sat, 14 Aug 2021 02:53:03 -0600

golang-github-evanw-esbuild (0.8.46-1) unstable; urgency=medium

  * New upstream version 0.8.46

 -- Anthony Fok <foka@debian.org>  Mon, 09 Aug 2021 00:00:32 -0600

## golang-github-evanw-esbuild 0.12.17

=== debian/changelog ===
golang-github-evanw-esbuild (0.12.17-1) unstable; urgency=medium

  * New upstream version 0.12.17
  * Update esbuild(1) man page to 0.12.17

 -- Anthony Fok <foka@debian.org>  Fri, 29 Oct 2021 01:36:44 -0600

## golang-github-evanw-esbuild 0.12.24

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild bench-readmin-esbuild test-esprima test-rollup
 
 check-go-version:
-	@go version | grep ' go1\.16\.3 ' || (echo 'Please install Go version 1.16.3' && false)
+	@go version | grep ' go1\.17 ' || (echo 'Please install Go version 1.17.0' && false)
 
 # This "ESBUILD_RACE" variable exists at the request of a user on GitHub who
 # wants to run "make test" on an unsupported version of macOS (version 10.9).
@@ -52,7 +52,7 @@
 	cd scripts/browser && node browser-tests.js
 
 test-deno: esbuild platform-deno
-	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno run --allow-run --allow-env --allow-net --allow-read --allow-write scripts/deno-tests.js
+	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
 
 register-test: cmd/esbuild/version.go | scripts/node_modules
 	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
@@ -111,11 +111,13 @@
 	make -j8 \
 		platform-windows \
 		platform-windows-32 \
+		platform-windows-arm64 \
 		platform-android-arm64 \
 		platform-darwin \
 		platform-darwin-arm64 \
 		platform-freebsd \
 		platform-freebsd-arm64 \
+		platform-openbsd \
 		platform-linux \
 		platform-linux-32 \
 		platform-linux-arm \
@@ -134,6 +136,10 @@
 	cd npm/esbuild-windows-32 && npm version "$(ESBUILD_VERSION)" --allow-same-version
 	CGO_ENABLED=0 GOOS=windows GOARCH=386 go build $(GO_FLAGS) -o npm/esbuild-windows-32/esbuild.exe ./cmd/esbuild
 
+platform-windows-arm64:
+	cd npm/esbuild-windows-arm64 && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	CGO_ENABLED=0 GOOS=windows GOARCH=arm64 go build $(GO_FLAGS) -o npm/esbuild-windows-arm64/esbuild.exe ./cmd/esbuild
+
 platform-unixlike:
 	test -n "$(GOOS)" && test -n "$(GOARCH)" && test -n "$(NPMDIR)"
 	mkdir -p "$(NPMDIR)/bin"
@@ -155,6 +161,9 @@
 platform-freebsd-arm64:
 	make GOOS=freebsd GOARCH=arm64 NPMDIR=npm/esbuild-freebsd-arm64 platform-unixlike
 
+platform-openbsd:
+	make GOOS=openbsd GOARCH=amd64 NPMDIR=npm/esbuild-openbsd-64 platform-unixlike
+
 platform-linux:
 	make GOOS=linux GOARCH=amd64 NPMDIR=npm/esbuild-linux-64 platform-unixlike
 
@@ -192,29 +201,41 @@
 	@echo "Checking for unpushed commits..." && git fetch
 	@test "" = "`git cherry`" || (echo "Refusing to publish with unpushed commits" && false)
 	rm -fr npm && git checkout npm
+
 	@echo Enter one-time password:
 	@read OTP && OTP="$$OTP" make -j4 \
 		publish-windows \
 		publish-windows-32 \
+		publish-windows-arm64 \
+		publish-openbsd
+
+	@echo Enter one-time password:
+	@read OTP && OTP="$$OTP" make -j4 \
 		publish-freebsd \
 		publish-freebsd-arm64 \
 		publish-darwin \
 		publish-darwin-arm64
+
 	@echo Enter one-time password:
 	@read OTP && OTP="$$OTP" make -j4 \
 		publish-android-arm64 \
 		publish-linux \
 		publish-linux-32 \
-		publish-linux-arm \
+		publish-linux-arm
+
+	@echo Enter one-time password:
+	@read OTP && OTP="$$OTP" make -j4 \
 		publish-linux-arm64 \
 		publish-linux-mips64le \
 		publish-linux-ppc64le
+
 	# Do these last to avoid race conditions
 	@echo Enter one-time password:
 	@read OTP && OTP="$$OTP" make -j2 \
 		publish-neutral \
 		publish-deno \
 		publish-wasm
+
 	git commit -am "publish $(ESBUILD_VERSION) to npm"
 	git tag "v$(ESBUILD_VERSION)"
 	git push origin master "v$(ESBUILD_VERSION)"
@@ -225,6 +246,9 @@
 publish-windows-32: platform-windows-32
 	test -n "$(OTP)" && cd npm/esbuild-windows-32 && npm publish --otp="$(OTP)"
 
+publish-windows-arm64: platform-windows-arm64
+	test -n "$(OTP)" && cd npm/esbuild-windows-arm64 && npm publish --otp="$(OTP)"
+
 publish-android-arm64: platform-android-arm64
 	test -n "$(OTP)" && cd npm/esbuild-android-arm64 && npm publish --otp="$(OTP)"
 
@@ -240,6 +264,9 @@
 publish-freebsd-arm64: platform-freebsd-arm64
 	test -n "$(OTP)" && cd npm/esbuild-freebsd-arm64 && npm publish --otp="$(OTP)"
 
+publish-openbsd: platform-openbsd
+	test -n "$(OTP)" && cd npm/esbuild-openbsd-64 && npm publish --otp="$(OTP)"
+
 publish-linux: platform-linux
 	test -n "$(OTP)" && cd npm/esbuild-linux-64 && npm publish --otp="$(OTP)"
 
@@ -265,8 +292,8 @@
 	test -n "$(OTP)" && cd npm/esbuild && npm publish --otp="$(OTP)"
 
 publish-deno:
-	test -f deno/.git || (rm -fr deno && git clone git@github.com:esbuild/deno-esbuild.git deno)
-	cd deno && git fetch && git reset --hard origin/main
+	test -d deno/.git || (rm -fr deno && git clone git@github.com:esbuild/deno-esbuild.git deno)
+	cd deno && git fetch && git checkout main && git reset --hard origin/main
 	make platform-deno
 	cd deno && git commit -am "publish $(ESBUILD_VERSION) to deno"
 	cd deno && git tag "v$(ESBUILD_VERSION)"
@@ -276,44 +303,16 @@
 	rm -f esbuild
 	rm -f npm/esbuild-windows-32/esbuild.exe
 	rm -f npm/esbuild-windows-64/esbuild.exe
+	rm -f npm/esbuild-windows-arm64/esbuild.exe
 	rm -rf npm/esbuild-android-arm64/bin
 	rm -rf npm/esbuild-darwin-64/bin
 	rm -rf npm/esbuild-darwin-arm64/bin
 	rm -rf npm/esbuild-freebsd-64/bin
 	rm -rf npm/esbuild-freebsd-amd64/bin
+	rm -rf npm/esbuild-openbsd-64/bin
 	rm -rf npm/esbuild-linux-32/bin
 	rm -rf npm/esbuild-linux-64/bin
 	rm -rf npm/esbuild-linux-arm/bin
 	rm -rf npm/esbuild-linux-arm64/bin
 	rm -rf npm/esbuild-linux-mips64le/bin
 	rm -rf npm/esbuild-linux-ppc64le/bin
-	rm -f npm/esbuild-wasm/esbuild.wasm npm/esbuild-wasm/wasm_exec.js
-	rm -rf npm/esbuild/lib
-	rm -rf npm/esbuild-wasm/lib
-	rm -rf require/*/bench/
-	rm -rf require/*/demo/
-	rm -rf require/*/node_modules/
-	go clean -testcache ./internal/...
-
-# This also cleans directories containing cached code from other projects
-clean-all: clean
-	rm -fr github demo bench
-
-################################################################################
-# These npm packages are used for benchmarks. Install them in subdirectories
-# because we want to install the same package name at multiple versions
-
-require/webpack/node_modules:
-	cd require/webpack && npm ci
-
-require/webpack5/node_modules:
-	cd require/webpack5 && npm ci
-
-require/rollup/node_modules:
-	cd require/rollup && npm ci
-
-require/parcel/node_modules:
-	cd require/parcel && npm ci
-
-	# Fix a bug where parcel doesn't know about one specific node builtin module
-	mkdir -p require/parcel/node_modules/inspector

=== debian/changelog ===
golang-github-evanw-esbuild (0.12.24-1) unstable; urgency=medium

  * New upstream version 0.12.24
  * Update esbuild(1) man page to 0.12.24

 -- Anthony Fok <foka@debian.org>  Sun, 31 Oct 2021 17:10:34 -0600

=== debian/control ===
Source: golang-github-evanw-esbuild
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>= 2:1.13~),
               golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
Homepage: https://github.com/evanw/esbuild
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/evanw/esbuild

Package: golang-github-evanw-esbuild-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4),
         ${misc:Depends}
Description: extremely fast JavaScript bundler and minifier (library)
 esbuild is a JavaScript bundler and minifier.  It packages up
 JavaScript and TypeScript code for distribution on the web.
 .
 Why build another JavaScript build tool?  The current build tools for the web
 are at least an order of magnitude slower than they should be.  It is hoped
 that this project serves as an "existence proof" that JavaScript tooling
 can be much, much faster.
 .
 This package contains the github.com/evanw/esbuild Go library.

Package: esbuild
Architecture: any
Section: javascript
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: extremely fast JavaScript bundler and minifier (program)
 esbuild is a JavaScript bundler and minifier.  It packages up
 JavaScript and TypeScript code for distribution on the web.
 .
 Why build another JavaScript build tool?  The current build tools for the web
 are at least an order of magnitude slower than they should be.  It is hoped
 that this project serves as an "existence proof" that JavaScript tooling
 can be much, much faster.
 .
 This package contains the esbuild binary.

## golang-github-evanw-esbuild 0.13.12

=== Makefile ===
ESBUILD_VERSION = $(shell cat version.txt)

# Strip debug info
GO_FLAGS += "-ldflags=-s -w"

# Avoid embedding the build path in the executable for more reproducible builds
GO_FLAGS += -trimpath

esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild

test:
	make -j6 test-common

# These tests are for development
test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests

# These tests are for release (the extra tests are not included in "test" because they are pretty slow)
test-all:
	make -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck

# This includes tests of some 3rd-party libraries, which can be very slow
test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild bench-readmin-esbuild test-esprima test-rollup

check-go-version:
	@go version | grep ' go1\.17\.2 ' || (echo 'Please install Go version 1.17.2' && false)

# This "ESBUILD_RACE" variable exists at the request of a user on GitHub who
# wants to run "make test" on an unsupported version of macOS (version 10.9).
# Go's race detector does not run correctly on that version. With this flag
# you can run "ESBUILD_RACE= make test" to disable the race detector.
ESBUILD_RACE ?= -race

test-go:
	go test $(ESBUILD_RACE) ./internal/...

vet-go:
	go vet ./cmd/... ./internal/... ./pkg/...

fmt-go:
	test -z "$(shell go fmt ./cmd/... ./internal/... ./pkg/... )"

no-filepath:
	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)

# This uses "env -i" to run in a clean environment with no environment
# variables. It then adds some environment variables back as needed.
# This is a hack to avoid a problem with the WebAssembly support in Go
# 1.17.2, which will crash when run in an environment with over 4096
# bytes of environment variable data such as GitHub Actions.
test-wasm-node: esbuild
	env -i $(shell go env) PATH="$(shell go env GOROOT)/misc/wasm:$(PATH)" GOOS=js GOARCH=wasm go test ./internal/...
	node scripts/wasm-tests.js

test-wasm-browser: platform-wasm | scripts/browser/node_modules
	cd scripts/browser && node browser-tests.js

test-deno: esbuild platform-deno
	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js

register-test: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/register-test.js

verify-source-map: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/verify-source-map.js

end-to-end-tests: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/end-to-end-tests.js

js-api-tests: cmd/esbuild/version.go | scripts/node_modules
	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
	node scripts/js-api-tests.js

plugin-tests: cmd/esbuild/version.go | scripts/node_modules
	node scripts/plugin-tests.js

ts-type-tests: | scripts/node_modules
	node scripts/ts-type-tests.js

node-unref-tests: | scripts/node_modules
	node scripts/node-unref-tests.js

lib-typecheck: | lib/node_modules
	cd lib && node_modules/.bin/tsc -noEmit -p .

# End-to-end tests
test-e2e: test-e2e-npm test-e2e-pnpm test-e2e-yarn-berry

test-e2e-npm:
	# Test normal install
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without scripts
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i --ignore-scripts esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without optional dependencies
	rm -fr e2e-npm && mkdir e2e-npm && cd e2e-npm && echo {} > package.json && npm i --no-optional esbuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-npm && npm ci
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-npm && npm rebuild && npm rebuild
	cd e2e-npm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Clean up
	rm -fr e2e-npm

test-e2e-pnpm:
	# Test normal install
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without scripts
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i --ignore-scripts esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Test install without optional dependencies
	rm -fr e2e-pnpm && mkdir e2e-pnpm && cd e2e-pnpm && echo {} > package.json && pnpm i --no-optional esbuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test CI reinstall
	cd e2e-pnpm && pnpm i --frozen-lockfile
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"
	# Test rebuild
	cd e2e-pnpm && pnpm rebuild && pnpm rebuild
	cd e2e-pnpm && echo "1+2" | node_modules/.bin/esbuild | grep "1 + 2;" && node -p "require('esbuild').transformSync('1+2').code" | grep "1 + 2;"

	# Clean up
	rm -fr e2e-pnpm

test-e2e-yarn-berry:
	# Test normal install
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Test install without scripts
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && echo 'enableScripts: false' > yarn.lock && yarn set version berry && yarn add esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Test install without optional dependencies
	rm -fr e2e-yb && mkdir e2e-yb && cd e2e-yb && echo {} > package.json && touch yarn.lock && yarn set version berry && yarn add --no-optional esbuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test CI reinstall
	cd e2e-yb && yarn install --immutable
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"
	# Test rebuild
	cd e2e-yb && yarn rebuild && yarn rebuild
	cd e2e-yb && echo "1+2" | yarn esbuild && yarn node -p "require('esbuild').transformSync('1+2').code"

	# Clean up
	rm -fr e2e-yb

cmd/esbuild/version.go: version.txt
	# Update this atomically to avoid issues with this being overwritten during use
	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go.txt
	mv cmd/esbuild/version.go.txt cmd/esbuild/version.go

wasm-napi-exit0-darwin:
	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o npm/esbuild-wasm/exit0/darwin-x64-LE.node -
	ls -l npm/esbuild-wasm/exit0/darwin-x64-LE.node

wasm-napi-exit0-linux:
	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
		| gcc -x c -shared -o npm/esbuild-wasm/exit0/linux-x64-LE.node -
	strip npm/esbuild-wasm/exit0/linux-x64-LE.node
	ls -l npm/esbuild-wasm/exit0/linux-x64-LE.node

wasm-napi-exit0-windows:
	# This isn't meant to be run directly but is a rough overview of the instructions
	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
	echo 'setlocal' > main.bat
	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:npm/esbuild-wasm/exit0/win32-x64-LE.node' >> main.bat
	main.bat
	rm -f main.*

platform-all: cmd/esbuild/version.go
	make -j4 \
		platform-windows \
		platform-windows-32 \
		platform-windows-arm64 \
		platform-android-arm64 \
		platform-darwin \
		platform-darwin-arm64 \
		platform-freebsd \
		platform-freebsd-arm64 \
		platform-netbsd \
		platform-openbsd \
		platform-linux \
		platform-linux-32 \
		platform-linux-arm \
		platform-linux-arm64 \
		platform-linux-mips64le \
		platform-linux-ppc64le \
		platform-sunos \
		platform-wasm \
		platform-neutral \
		platform-deno

platform-windows:
	cd npm/esbuild-windows-64 && npm version "$(ESBUILD_VERSION)" --allow-same-version
	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild

platform-windows-32:
	cd npm/esbuild-windows-32 && npm version "$(ESBUILD_VERSION)" --allow-same-version

=== debian/changelog ===
golang-github-evanw-esbuild (0.13.12-1) unstable; urgency=medium

  * New upstream version 0.13.12
  * Update esbuild(1) man page to 0.13.12

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 10:47:39 -0600

## golang-github-evanw-esbuild 0.14.2

=== Makefile ===
--- 
+++ 
@@ -10,20 +10,17 @@
 	CGO_ENABLED=0 go build $(GO_FLAGS) ./cmd/esbuild
 
 test:
-	make -j6 test-common
+	@$(MAKE) --no-print-directory -j6 test-common
 
 # These tests are for development
 test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test node-unref-tests
 
 # These tests are for release (the extra tests are not included in "test" because they are pretty slow)
 test-all:
-	make -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
-
-# This includes tests of some 3rd-party libraries, which can be very slow
-test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild bench-readmin-esbuild test-esprima test-rollup
+	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.17\.2 ' || (echo 'Please install Go version 1.17.2' && false)
+	@go version | grep ' go1\.17\.4 ' || (echo 'Please install Go version 1.17.4' && false)
 
 # This "ESBUILD_RACE" variable exists at the request of a user on GitHub who
 # wants to run "make test" on an unsupported version of macOS (version 10.9).
@@ -60,19 +57,19 @@
 	ESBUILD_BINARY_PATH="$(shell pwd)/esbuild" deno test --allow-run --allow-env --allow-net --allow-read --allow-write --no-check scripts/deno-tests.js
 
 register-test: cmd/esbuild/version.go | scripts/node_modules
-	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/register-test.js
 
 verify-source-map: cmd/esbuild/version.go | scripts/node_modules
-	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/verify-source-map.js
 
 end-to-end-tests: cmd/esbuild/version.go | scripts/node_modules
-	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/end-to-end-tests.js
 
 js-api-tests: cmd/esbuild/version.go | scripts/node_modules
-	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/esbuild.js npm/esbuild/package.json --version
 	node scripts/js-api-tests.js
 
 plugin-tests: cmd/esbuild/version.go | scripts/node_modules
@@ -218,7 +215,7 @@
 	rm -f main.*
 
 platform-all: cmd/esbuild/version.go
-	make -j4 \
+	@$(MAKE) --no-print-directory -j4 \
 		platform-windows \
 		platform-windows-32 \
 		platform-windows-arm64 \
@@ -241,8 +238,12 @@
 		platform-deno
 
 platform-windows:
-	cd npm/esbuild-windows-64 && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/esbuild.js npm/esbuild-windows-64/package.json --version
 	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild
 
 platform-windows-32:
-	cd npm/esbuild-windows-32 && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/esbuild.js npm/esbuild-windows-32/package.json --version
+	CGO_ENABLED=0 GOOS=windows GOARCH=386 go build $(GO_FLAGS) -o npm/esbuild-windows-32/esbuild.exe ./cmd/esbuild
+
+platform-windows-arm64:
+	node scripts/esbuild.js npm/esbuild-windows-arm64/package.json --version

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.2-1) unstable; urgency=medium

  * New upstream version 0.14.2
  * Reorder fields in debian/control and debian/copyright as would be
    generated in the next dh-make-golang release after 0.6.0-1
  * Bump dependency on golang-golang-x-sys-dev to
    (>= 0.0~git20210908.aa78b53) as per go.mod since v0.12.26
  * Update esbuild(1) man page to 0.14.2

 -- Anthony Fok <foka@debian.org>  Mon, 06 Dec 2021 09:01:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: golang-github-evanw-esbuild
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.13~),
-               golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4)
+               golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53)
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
 Homepage: https://github.com/evanw/esbuild
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/evanw/esbuild
 
 Package: golang-github-evanw-esbuild-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
          ${misc:Depends}
 Description: extremely fast JavaScript bundler and minifier (library)
  esbuild is a JavaScript bundler and minifier.  It packages up

## golang-github-evanw-esbuild 0.14.5

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.5-1) unstable; urgency=medium

  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * New upstream version 0.14.5
  * Update esbuild(1) man page to 0.14.5

 -- Anthony Fok <foka@debian.org>  Fri, 17 Dec 2021 11:41:48 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any (>= 2:1.13~),
                golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53)
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := internal/bundler/snapshots

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-evanw-esbuild 0.14.8

=== Makefile ===
--- 
+++ 
@@ -20,14 +20,25 @@
 	@$(MAKE) --no-print-directory -j6 test-common test-deno ts-type-tests test-wasm-node test-wasm-browser lib-typecheck
 
 check-go-version:
-	@go version | grep ' go1\.17\.4 ' || (echo 'Please install Go version 1.17.4' && false)
-
-# This "ESBUILD_RACE" variable exists at the request of a user on GitHub who
-# wants to run "make test" on an unsupported version of macOS (version 10.9).
-# Go's race detector does not run correctly on that version. With this flag
-# you can run "ESBUILD_RACE= make test" to disable the race detector.
-ESBUILD_RACE ?= -race
-
+	@go version | grep ' go1\.17\.5 ' || (echo 'Please install Go version 1.17.5' && false)
+
+# Note: Don't add "-race" here by default. The Go race detector is currently
+# only supported on the following configurations:
+#
+#   darwin/amd64
+#   darwin/arm64
+#   freebsd/amd64,
+#   linux/amd64
+#   linux/arm64
+#   linux/ppc64le
+#   netbsd/amd64
+#   windows/amd64
+#
+# Also, it isn't necessarily supported on older OS versions even if the OS/CPU
+# combination is supported, such as on macOS 10.9. If you want to test using
+# the race detector, you can manually add it using the ESBUILD_RACE environment
+# variable like this: "ESBUILD_RACE=-race make test". Or you can permanently
+# enable it by adding "export ESBUILD_RACE=-race" to your shell profile.
 test-go:
 	go test $(ESBUILD_RACE) ./internal/...
 
@@ -190,9 +201,7 @@
 	rm -fr e2e-yb
 
 cmd/esbuild/version.go: version.txt
-	# Update this atomically to avoid issues with this being overwritten during use
-	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go.txt
-	mv cmd/esbuild/version.go.txt cmd/esbuild/version.go
+	node scripts/esbuild.js --update-version-go
 
 wasm-napi-exit0-darwin:
 	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
@@ -214,7 +223,7 @@
 	main.bat
 	rm -f main.*
 
-platform-all: cmd/esbuild/version.go
+platform-all:
 	@$(MAKE) --no-print-directory -j4 \
 		platform-windows \
 		platform-windows-32 \
@@ -232,18 +241,17 @@
 		platform-linux-arm64 \
 		platform-linux-mips64le \
 		platform-linux-ppc64le \
+		platform-linux-s390x \
 		platform-sunos \
 		platform-wasm \
 		platform-neutral \
 		platform-deno
 
-platform-windows:
+platform-windows: cmd/esbuild/version.go
 	node scripts/esbuild.js npm/esbuild-windows-64/package.json --version
 	CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build $(GO_FLAGS) -o npm/esbuild-windows-64/esbuild.exe ./cmd/esbuild
 
-platform-windows-32:
+platform-windows-32: cmd/esbuild/version.go
 	node scripts/esbuild.js npm/esbuild-windows-32/package.json --version
 	CGO_ENABLED=0 GOOS=windows GOARCH=386 go build $(GO_FLAGS) -o npm/esbuild-windows-32/esbuild.exe ./cmd/esbuild
 
-platform-windows-arm64:
-	node scripts/esbuild.js npm/esbuild-windows-arm64/package.json --version

=== debian/changelog ===
golang-github-evanw-esbuild (0.14.8-1) unstable; urgency=medium

  [ Anthony Fok ]
  * New upstream version 0.14.8
  * Update esbuild(1) man page to 0.14.8

  [ Yadd ]
  * Build and publish nodejs files (Closes: #1001861)

 -- Anthony Fok <foka@debian.org>  Thu, 23 Dec 2021 13:33:25 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.13~),
-               golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53)
+               golang-golang-x-sys-dev (>= 0.0~git20210908.aa78b53),
+               golang-src,
+               nodejs:any,
+               npm,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
@@ -36,6 +39,9 @@
 Section: javascript
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Provides: node-esbuild (= ${binary:Version}),
+          node-esbuild-wasm (= ${binary:Version}),
+          ${nodejs:Provides}
 Built-Using: ${misc:Built-Using}
 Description: extremely fast JavaScript bundler and minifier (program)
  esbuild is a JavaScript bundler and minifier.  It packages up

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_GOLANG_INSTALL_EXTRA := internal/bundler/snapshots
export NPM_DIR:=$(shell perl -e "\$$a={amd64=>'64',i386=>'32',arm64=>'arm64',armel=>'arm',mips64el=>'mips64le',ppc64el=>'ppc64le'};print defined \$$a->{$(DEB_TARGET_ARCH)} ? 'esbuild-linux-'.\$$a->{$(DEB_TARGET_ARCH)} : ''")

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build --builddirectory=_build --buildsystem=golang
	ln -s _build/bin/esbuild .
	node scripts/esbuild.js ./esbuild --neutral
	set -e; if test "$(NPM_DIR)" != ""; then \
		HOME=/tmp $(MAKE) --no-print-directory GOOS=linux GOARCH=amd64 NPMDIR=npm/$(NPM_DIR) platform-unixlike; \
	fi
	HOME=/tmp node scripts/esbuild.js ./esbuild --wasm

override_dh_auto_test:
	dh_auto_test --builddirectory=_build --buildsystem=golang
	node -e 'require("./npm/esbuild")'

override_dh_install:
	dh_install
	set -e; if test "$(NPM_DIR)" != ""; then \
		cp -a npm/$(NPM_DIR) debian/esbuild/usr/lib/$(DEB_TARGET_MULTIARCH)/nodejs/; \
	fi
	find debian/esbuild/usr/lib/$(DEB_TARGET_MULTIARCH)/nodejs/ -name '*.md' -delete || true

override_dh_gencontrol:
	set -e; if test "$(NPM_DIR)"; then \
		dh_gencontrol -- -Vnodejs:Provides="node-$(NPM_DIR)"; \
	else \
		dh_gencontrol; \
	fi
